> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/object-types/asset.md).

# Asset

A verbal designation of a concept in a specific subject field.

```graphql
type Asset implements Auditable, Node {
  attributes(
    limit: Int = 10
    offset: Int = 0
    order: [[AttributeOrder]]
    where: AttributeFilter
  ): [Attribute!]!
  booleanAttributes(
    limit: Int = 10
    offset: Int = 0
    order: [[BooleanAttributeOrder]]
    where: BooleanAttributeFilter
  ): [BooleanAttribute!]!
  createdBy: User
  createdOn: DateTime
  dateAttributes(
    limit: Int = 10
    offset: Int = 0
    order: [[DateAttributeOrder]]
    where: DateAttributeFilter
  ): [DateAttribute!]!
  displayName: String
  domain: Domain!
  externalMappings(
    limit: Int = 10
    offset: Int = 0
    order: [[ExternalMappingOrder]]
    where: ExternalMappingFilter
  ): [ExternalMapping!]!
  fullName: String!
  id: UUID!
  incomingRelations(
    limit: Int = 10
    offset: Int = 0
    order: [[RelationOrder]]
    where: RelationFilter
  ): [Relation!]!
  modifiedBy: User
  modifiedOn: DateTime
  multiValueAttributes(
    limit: Int = 10
    offset: Int = 0
    order: [[MultiValueAttributeOrder]]
    where: MultiValueAttributeFilter
  ): [MultiValueAttribute!]!
  numericAttributes(
    limit: Int = 10
    offset: Int = 0
    order: [[NumericAttributeOrder]]
    where: NumericAttributeFilter
  ): [NumericAttribute!]!
  outgoingRelations(
    limit: Int = 10
    offset: Int = 0
    order: [[RelationOrder]]
    where: RelationFilter
  ): [Relation!]!
  responsibilities(
    limit: Int = 10
    offset: Int = 0
    order: [[ResponsibilityOrder]]
    where: ResponsibilityFilter
  ): [Responsibility!]!
  status: Status
  stringAttributes(
    limit: Int = 10
    offset: Int = 0
    order: [[StringAttributeOrder]]
    where: StringAttributeFilter
  ): [StringAttribute!]!
  system: Boolean!
  tags(
    limit: Int = 10
    offset: Int = 0
    order: [[TagOrder]]
    where: TagFilter
  ): [Tag!]!
  type: AssetType!
}
```

### Fields

#### attributes ● [`[Attribute!]!`](/api/graphql/knowledge-graph/interfaces/attribute.md) non-null interface <a href="#attributes" id="attributes"></a>

The list of all attributes available for this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[AttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`AttributeFilter`**](/api/graphql/knowledge-graph/input-types/attribute-filter.md) **input**

Filtering parameters.

#### booleanAttributes ● [`[BooleanAttribute!]!`](/api/graphql/knowledge-graph/object-types/boolean-attribute.md) non-null object <a href="#boolean-attributes" id="boolean-attributes"></a>

The boolean attributes of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[BooleanAttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/boolean-attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`BooleanAttributeFilter`**](/api/graphql/knowledge-graph/input-types/boolean-attribute-filter.md) **input**

Filtering parameters.

#### createdBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### dateAttributes ● [`[DateAttribute!]!`](/api/graphql/knowledge-graph/object-types/date-attribute.md) non-null object <a href="#date-attributes" id="date-attributes"></a>

The date attributes of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[DateAttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/date-attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`DateAttributeFilter`**](/api/graphql/knowledge-graph/input-types/date-attribute-filter.md) **input**

Filtering parameters.

#### displayName ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#display-name" id="display-name"></a>

The display name of this asset.

#### domain ● [`Domain!`](/api/graphql/knowledge-graph/object-types/domain.md) non-null object <a href="#domain" id="domain"></a>

The parent domain of this asset.

#### externalMappings ● [`[ExternalMapping!]!`](/api/graphql/knowledge-graph/object-types/external-mapping.md) non-null object <a href="#external-mappings" id="external-mappings"></a>

The list of external mappings of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[ExternalMappingOrder]]`**](/api/graphql/knowledge-graph/input-types/external-mapping-order.md) **list input**

Sorting parameters.

**where ●** [**`ExternalMappingFilter`**](/api/graphql/knowledge-graph/input-types/external-mapping-filter.md) **input**

Filtering parameters.

#### fullName ● [`String!`](/api/graphql/knowledge-graph/scalars/string.md) non-null scalar <a href="#full-name" id="full-name"></a>

The full name of this asset. This value is always unique in its parent domain.

#### id ● [`UUID!`](/api/graphql/knowledge-graph/scalars/uuid.md) non-null scalar <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### incomingRelations ● [`[Relation!]!`](/api/graphql/knowledge-graph/object-types/relation.md) non-null object <a href="#incoming-relations" id="incoming-relations"></a>

The list of incoming relations for this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[RelationOrder]]`**](/api/graphql/knowledge-graph/input-types/relation-order.md) **list input**

Sorting parameters.

**where ●** [**`RelationFilter`**](/api/graphql/knowledge-graph/input-types/relation-filter.md) **input**

Filtering parameters.

#### modifiedBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### multiValueAttributes ● [`[MultiValueAttribute!]!`](/api/graphql/knowledge-graph/object-types/multi-value-attribute.md) non-null object <a href="#multi-value-attributes" id="multi-value-attributes"></a>

The multi-value attributes of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[MultiValueAttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/multi-value-attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`MultiValueAttributeFilter`**](/api/graphql/knowledge-graph/input-types/multi-value-attribute-filter.md) **input**

Filtering parameters.

#### numericAttributes ● [`[NumericAttribute!]!`](/api/graphql/knowledge-graph/object-types/numeric-attribute.md) non-null object <a href="#numeric-attributes" id="numeric-attributes"></a>

The numeric attributes of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[NumericAttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/numeric-attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`NumericAttributeFilter`**](/api/graphql/knowledge-graph/input-types/numeric-attribute-filter.md) **input**

Filtering parameters.

#### outgoingRelations ● [`[Relation!]!`](/api/graphql/knowledge-graph/object-types/relation.md) non-null object <a href="#outgoing-relations" id="outgoing-relations"></a>

The list of outgoing relations for this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[RelationOrder]]`**](/api/graphql/knowledge-graph/input-types/relation-order.md) **list input**

Sorting parameters.

**where ●** [**`RelationFilter`**](/api/graphql/knowledge-graph/input-types/relation-filter.md) **input**

Filtering parameters.

#### responsibilities ● [`[Responsibility!]!`](/api/graphql/knowledge-graph/object-types/responsibility.md) non-null object <a href="#responsibilities" id="responsibilities"></a>

The list of responsibilities for this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[ResponsibilityOrder]]`**](/api/graphql/knowledge-graph/input-types/responsibility-order.md) **list input**

Sorting parameters.

**where ●** [**`ResponsibilityFilter`**](/api/graphql/knowledge-graph/input-types/responsibility-filter.md) **input**

Filtering parameters.

#### status ● [`Status`](/api/graphql/knowledge-graph/object-types/status.md) object <a href="#status" id="status"></a>

The status of this asset.

#### stringAttributes ● [`[StringAttribute!]!`](/api/graphql/knowledge-graph/object-types/string-attribute.md) non-null object <a href="#string-attributes" id="string-attributes"></a>

The string attributes of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[StringAttributeOrder]]`**](/api/graphql/knowledge-graph/input-types/string-attribute-order.md) **list input**

Sorting parameters.

**where ●** [**`StringAttributeFilter`**](/api/graphql/knowledge-graph/input-types/string-attribute-filter.md) **input**

Filtering parameters.

#### system ● [`Boolean!`](/api/graphql/knowledge-graph/scalars/boolean.md) non-null scalar <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

#### tags ● [`[Tag!]!`](/api/graphql/knowledge-graph/object-types/tag.md) non-null object <a href="#tags" id="tags"></a>

The list of tags of this asset.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[TagOrder]]`**](/api/graphql/knowledge-graph/input-types/tag-order.md) **list input**

Sorting parameters.

**where ●** [**`TagFilter`**](/api/graphql/knowledge-graph/input-types/tag-filter.md) **input**

Filtering parameters.

#### type ● [`AssetType!`](/api/graphql/knowledge-graph/object-types/asset-type.md) non-null object <a href="#type" id="type"></a>

The asset type of this asset.

### Interfaces

#### [`Auditable`](/api/graphql/knowledge-graph/interfaces/auditable.md) interface

An interface implemented by all types holding auditing information.

#### [`Node`](/api/graphql/knowledge-graph/interfaces/node.md) interface

A base interface implemented by all types.

### Returned By

[`assets`](/api/graphql/knowledge-graph/queries/assets.md) query ● [`complexRelations`](/api/graphql/knowledge-graph/queries/complex-relations.md) query

### Member Of

[`Domain`](/api/graphql/knowledge-graph/object-types/domain.md) object ● [`Relation`](/api/graphql/knowledge-graph/object-types/relation.md) object ● [`Responsibility`](/api/graphql/knowledge-graph/object-types/responsibility.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/object-types/asset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
